Page MenuHomePhabricator

ecore-drm2: Add API function to return output rotation
ClosedPublic

Authored by devilhorns on Mar 6 2019, 9:16 AM.

Details

Summary

Small patch to add an API function which can be used to return a given
output's rotation value

ref T7690

@feature

Depends on D8113

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Mar 6 2019, 9:16 AM
cedric accepted this revision.Mar 6 2019, 10:54 AM
This revision is now accepted and ready to land.Mar 6 2019, 10:54 AM

Do we need to land this soon to fix a bug in E, or should it wait for next EFL release?

I thought we were in a freeze already which is why I did not land it ... but if we are Not in a freeze currently, then Yes it would be great to have in this release because it is needed in order to fix the rotation issues (T7690)

I thought we were in a freeze already which is why I did not land it ... but if we are Not in a freeze currently, then Yes it would be great to have in this release because it is needed in order to fix the rotation issues (T7690)

That is exactly why I am asking the question :-)

Well, if we are in a freeze, then https://phab.enlightenment.org/rEFLf5fed8764df832fed9b7bb2c2a872223a983a00b will have to be reverted. By itself, the code from that one is not going to fix the rotation problem. It needs all of these commits to fix it (for gl engine anyway).

Well, if we are in a freeze, then https://phab.enlightenment.org/rEFLf5fed8764df832fed9b7bb2c2a872223a983a00b will have to be reverted. By itself, the code from that one is not going to fix the rotation problem. It needs all of these commits to fix it (for gl engine anyway).

My understanding is that the patch I landed fix an existing problem, not completely, but without impact on the API. The question is how much are we ready to land now to do the full fix.

Well, the patch that was landed is Part of a fix. I am unsure what effects that patch by itself would have on fixing the whole issue....I did mark them as DO NOT MERGE ;) (at least until we can find out if we are still in freeze or not)

Well, these patches are not the "full fix" at the moment anyway. They only fix rotation when using gl_drm engine. Software rotation (using evas drm engine) is still broken and am still looking into it. If you want to land the rest of them to fix gl_drm rotation, then that's fine with me (assuming we can get the API added)

devilhorns updated this revision to Diff 20460.Mar 12 2019, 6:21 AM
devilhorns edited the summary of this revision. (Show Details)

No Changes

devilhorns updated this revision to Diff 20569.Mar 14 2019, 9:57 AM

no changes

devilhorns updated this revision to Diff 20731.Mar 19 2019, 7:23 AM

no changes

@stefan_schmidt Do you think we can add this small API before release ?? I sent an email to the dev ml about it, but no responses from Anyone yet :(

This revision was automatically updated to reflect the committed changes.